Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85281 - Palm Tungsten T does not hotsync
Summary: Palm Tungsten T does not hotsync
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-pilot
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL: http://www.gnome-pilot.org
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-27 13:46 UTC by Christopher A. Williams
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 19:02:50 UTC


Attachments (Terms of Use)

Description Christopher A. Williams 2003-02-27 13:46:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
The new Palm Tungsten | T does not properly hotsync with the version of
gnome-pilot and pilot-link in phoebe 3. There are reports that pateches to the
2.4.20 kernel and newer version of pilot-link (0.11.7) fix the problem. Details
of the problem are available in the discussion forums at
http://www.gnome-pilot.org for January & February 2003.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect Palm Tungsten T to USB hotsync cradle on PC with peoebe 8.0.94
2.Use "Handheld PDA" to set up USB connection on ttyUSB1 (in my case)
3.Attempt to hotsync
4.Hotsync will fail
    

Actual Results:  Hotsync times out eventually.

Expected Results:  Hotsync successful

Additional info:

Comment 1 Christopher A. Williams 2003-02-27 13:47:10 UTC
Output from dmesg when trying to hotsync:

usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
usbserial.c: USB Serial support registered for Handspring Visor / Palm 4.0 /
Cli? 4.x
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter detected
usb_control/bulk_msg: timeout
visor.c: visor_startup - error getting connection information
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter now attached to
ttyUSB0 (or usb/tts/0 for devfs)
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter now attached to
ttyUSB1 (or usb/tts/1 for devfs)
usbserial.c: USB Serial support registered for Sony Cli? 3.5
visor.c: USB HandSpring Visor, Palm m50x, Sony Cli? driver v1.6
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 18 ret -32
usbdevfs: USBDEVFS_CONTROL failed dev 2 rqt 128 rq 6 len 18 ret -32
hub.c: already running port 1 disabled by hub (EMI?), re-enabling...
usb.c: USB disconnect on device 00:03.2-1 address 3
hub.c: new USB device 00:03.2-1, assigned address 4
usb.c: USB device not accepting new address=4 (error=-71)
hub.c: new USB device 00:03.2-1, assigned address 5
input0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb3:5.0
usb.c: USB disconnect on device 00:03.0-2 address 2
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter now disconnected
from ttyUSB0
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter now disconnected
from ttyUSB1
cdrom: This disc doesn't have any tracks I recognize!
hub.c: new USB device 00:03.0-2, assigned address 3
usbserial.c: Handspring Visor / Palm 4.0 / Cli? 4.x converter detected
usb_control/bulk_msg: timeout
visor.c: visor_startup - error getting connection information
usb.c: error getting string descriptor 0 (error=-32)


Comment 2 Christopher A. Williams 2003-03-01 16:49:26 UTC
Found more info. The changes in the kernel to support the Tungsten T are planned
for kernel 2.4.21 and can be back-ported to 2.4.20. Updates to visor.c and
visor.h can be found at:

http://wiki.pilot-link.org/index.pl?VisorStructures


Comment 3 Bill Nottingham 2006-08-05 04:35:41 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 5 Bill Nottingham 2007-01-02 19:02:50 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.